Foreman - Bug #26525

iPXE embedded PXE loader is causing DHCP conflict
04/03/2019 11:58 AM - Lukas Zapletal

Status: Rejected
Priority: Normal
Assignee: Lukas Zapletal
Category: DHCP
Target version:
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/6645
Description

This is because during DHCP conflict check, PXE loader URL is different due to token:

2019-04-03T12:38:57 [I|appl4adabell] Started GET "/unattended/built?token=4e5ae70c-2ael-40d3-952e-
6b34eead9bl7d" for 192.168.200.10 at 2019-04-03 12:38:57 +0100

2019-04-03T12:38:57 [I|appl4ada5el0] Processing by UnattendedController#built as TEXT
2019-04-03T12:38:57 [I|appl4adab5ell] Parameters: {"token"=>"4eb5ae70c-2ael-40d3-952e-6b34eea%bl’7d
"}

2019-04-03T12:38:57 [D|appl4ada5el0] Current user set to foreman_api_admin (admin)
2019-04-03T12:38:57 [D|appl4ada5el0] Found lena-flickner.foreman.local.com

2019-04-03T12:38:57 [I|appl4ada5el0] unattended: lena-flickner.foreman.local.com is built!
2019-04-03T12:38:57 [D|appl4ada5el0] Comparing ["52:54:00:f9:ca:60", "192.168.200.88", "192.168.20
0.0", "http://192.168.200.10:3000/unattended/iPXE"] == ["52:54:00:f9:ca:60", "192.168.200.88", "19
2.168.200.0", "http://192.168.200.10:3000/unattended/iPXE?token=4e5ae70c-2ael-40d3-952e-6b34eeadbl
7d"]

2019-04-03T12:38:57 [D|appl|4ada5el0] Comparing ["52:54:00:f9:ca:60", "192.168.200.88", "192.168.20
0.0", "http://192.168.200.10:3000/unattended/iPXE"] == ["52:54:00:f9:ca:60", "192.168.200.88", "19
2.168.200.0", "http://192.168.200.10:3000/unattended/iPXE?token=4e5ae70c-2ael-40d3-952e-6b34eeadbl
7d"]

2019-04-03T12:38:57 [D|appl4ada5el0] Comparing ["52:54:00:f9:ca:60", "192.168.200.88", "192.168.20
0.0", "http://192.168.200.10:3000/unattended/iPXE"] == ["52:54:00:f9:ca:60", "192.168.200.88", "19
2.168.200.0", "http://192.168.200.10:3000/unattended/iPXE?token=4e5ae70c-2ael-40d3-952e-6b34eeadbl
7d"]

2019-04-03T12:38:57 [D|appl4ada5el0] Comparing ["52:54:00:f9:ca:60", "192.168.200.88", "192.168.20
0.0", "http://192.168.200.10:3000/unattended/iPXE"] == ["52:54:00:f9:ca:60", "192.168.200.88", "19
2.168.200.0", "http://192.168.200.10:3000/unattended/iPXE?token=4e5ae70c-2ael-40d3-952e-6b34eeadbl
7d"]

2019-04-03T12:38:57 [W|appl|4ada5el0] DHCP records lena-flickner.foreman.local.com-52:54:00:f9:ca:6
0/192.168.200.88 already exists

2019-04-03T12:38:57 [W|appl4adab5el0] Not queueing Nic::Managed: ["Conflict DHCP records lena-flick
ner.foreman.local.com-52:54:00:f9:ca:60/192.168.200.88 already exists"] and ["Conflict DHCP record
s lena-flickner.foreman.local.com-52:54:00:£f9:ca:60/192.168.200.88 already exists"]
2019-04-03T12:38:57 [W|appl|4ada5el0] Not queueing Nic::Managed: ["Conflict DHCP records lena-flick
ner.foreman.local.com-52:54:00:£f9:ca:60/192.168.200.88 already exists"] and ["Conflict DHCP record
s lena-flickner.foreman.local.com-52:54:00:£f9:ca:60/192.168.200.88 already exists"]
2019-04-03T12:38:57 [D|appl4ada5el0] Current organization set to Raptor

2019-04-03T12:38:57 [D|appl4ada5el0] Current location set to Regus office

2019-04-03T12:38:57 [D|appl4adab5el0] Current location set to none

2019-04-03T12:38:57 [D|appl4adab5el0] Current organization set to none

2019-04-03T12:38:57 [W|appl4adab5el0] Not queueing Nic::Managed: ["Conflict DHCP records lena-flick
ner.foreman.local.com-52:54:00:£f9:ca:60/192.168.200.88 already exists"] and ["Conflict DHCP record
s lena-flickner.foreman.local.com-52:54:00:£f9:ca:60/192.168.200.88 already exists"]
2019-04-03T12:38:57 [W|appl|4ada5el0] Not queueing Discovery reboot: Conflict DHCP records lena-fli
ckner.foreman.local.com-52:54:00:£9:ca:60/192.168.200.88 already exists

2019-04-03T12:38:57 [W|appl4adab5el0] Failed to set Build on lena-flickner.foreman.local.com: ["Con
flict DHCP records lena-flickner.foreman.local.com-52:54:00:f9:ca:60/192.168.200.88 already exists
2019-04-03T12:38:57 [I|appl4ada5el0] Completed 409 Conflict in 308ms (ActiveRecord: 38.8ms)

Related issues:
Related to Foreman - Bug #27877: DHCP conflict when editing PXE loader for ex... Closed

History

#1 - 04/03/2019 12:05 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/6645 added

#2 - 09/18/2019 08:14 AM - Lukas Zapletal
- Related to Bug #27877: DHCP conflict when editing PXE loader for existing host added

#3 - 09/18/2019 08:15 AM - Lukas Zapletal
- Status changed from Ready For Testing to Rejected

The filename option should not be subject of conflict checks, going to solve this in the related issue.
